Skip Menu |
 

This queue is for tickets about the DBD-ODBC CPAN distribution.

Report information
The Basics
Id: 62346
Status: resolved
Priority: 0/
Queue: DBD-ODBC

People
Owner: Nobody in particular
Requestors: trs [...] bestpractical.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in:
  • 1.24_4
  • 1.24_5
  • 1.24_6
  • 1.25
Fixed in: 1.26_1



Subject: Requires at least perl 5.8.9 but doesn't do so in Makefile.PL or the code
Download (untitled) / with headers
text/plain 170b
It seems like dbdimp.c (from 1.24_4 and higher) uses my_snprintf(), but that wasn't introduced into the perl API until 5.8.9 as far as I can tell. Cheers, Thomas Sibley
Download (untitled) / with headers
text/plain 442b
On Thu Oct 21 12:38:52 2010, TSIBLEY wrote: Show quoted text
> It seems like dbdimp.c (from 1.24_4 and higher) uses my_snprintf(), but > that wasn't introduced into the perl API until 5.8.9 as far as I can tell. > > Cheers, > Thomas Sibley
OOPs. Have you got a reference to when it was introduced and as soon as I verify it I will undo. I was about to make a new release anyway. 5.8 is the intended minimum release. Martin -- Martin J. Evans Wetherby, UK
Download (untitled) / with headers
text/plain 353b
On Thu Oct 21 12:38:52 2010, TSIBLEY wrote: Show quoted text
> It seems like dbdimp.c (from 1.24_4 and higher) uses my_snprintf(), but > that wasn't introduced into the perl API until 5.8.9 as far as I can tell. > > Cheers, > Thomas Sibley
Do you actually have an instance of this failing as it is defined in DBI's dbipport.h. Martin -- Martin J. Evans Wetherby, UK
Subject: Re: [rt.cpan.org #62346] Requires at least perl 5.8.9 but doesn't do so in Makefile.PL or the code
Date: Thu, 21 Oct 2010 13:57:33 -0400
To: bug-DBD-ODBC [...] rt.cpan.org
From: Thomas Sibley <trs [...] bestpractical.com>
Download (untitled) / with headers
text/plain 456b
On 21 Oct 2010 13:39, Martin J Evans via RT wrote: Show quoted text
> Do you actually have an instance of this failing as it is defined in > DBI's dbipport.h.
Ah, DBI didn't define it until 1.611. The system I was using had 1.609. I guess the right thing to do is depend on a newer DBI? Although I suspect it's moot given ppport, the commit that added my_snprintf to perl was: http://perl5.git.perl.org/perl.git/commit/d9fad198da41e1cd37600ae397146e27a413303d Thomas
Download (untitled) / with headers
text/plain 955b
On Thu Oct 21 13:57:36 2010, trs@bestpractical.com wrote: Show quoted text
> On 21 Oct 2010 13:39, Martin J Evans via RT wrote:
> > Do you actually have an instance of this failing as it is defined in > > DBI's dbipport.h.
> > Ah, DBI didn't define it until 1.611. The system I was using had > 1.609. > > I guess the right thing to do is depend on a newer DBI?
Don't want to do that. Show quoted text
> Although I suspect it's moot given ppport, the commit that added > my_snprintf to perl was: > >
http://perl5.git.perl.org/perl.git/commit/d9fad198da41e1cd37600ae397146e27a413303d I see my_snprint was introduced in 5.9.4 (from ppport.h). Show quoted text
> Thomas
I think if DBD::ODBC should include a recent ppport.h which would fix this. I thought about this before but there was little feedback on my suggestion in dbi-dev list. Do you still have a non-working system which you could try an amended DBD::ODBC out on (which includes its own ppport.h)? Martin -- Martin J. Evans Wetherby, UK
Subject: Re: [rt.cpan.org #62346] Requires at least perl 5.8.9 but doesn't do so in Makefile.PL or the code
Date: Thu, 21 Oct 2010 14:34:43 -0400
To: bug-DBD-ODBC [...] rt.cpan.org
From: Thomas Sibley <trs [...] bestpractical.com>
Download (untitled) / with headers
text/plain 567b
On 21 Oct 2010 14:13, Martin J Evans via RT wrote: Show quoted text
> I think if DBD::ODBC should include a recent ppport.h which would fix > this. I thought about this before but there was little feedback on my > suggestion in dbi-dev list.
That sounds reasonable. Show quoted text
> Do you still have a non-working system which you could try an amended > DBD::ODBC out on (which includes its own ppport.h)?
No. It was on a client system that I wouldn't feel comfortable updating the DBI on unless absolutely necessary. You should be able to replicate with an old DBI and new DBD::ODBC. Thomas
Download (untitled) / with headers
text/plain 738b
On Thu Oct 21 14:34:46 2010, trs@bestpractical.com wrote: Show quoted text
> On 21 Oct 2010 14:13, Martin J Evans via RT wrote:
> > I think if DBD::ODBC should include a recent ppport.h which would fix > > this. I thought about this before but there was little feedback on my > > suggestion in dbi-dev list.
> > That sounds reasonable. >
> > Do you still have a non-working system which you could try an amended > > DBD::ODBC out on (which includes its own ppport.h)?
> > No. It was on a client system that I wouldn't feel comfortable updating > the DBI on unless absolutely necessary. You should be able to replicate > with an old DBI and new DBD::ODBC. > > Thomas
Thanks for bringing this to my attention. Martin -- Martin J. Evans Wetherby, UK
Download (untitled) / with headers
text/plain 1.3k
On Thu Oct 21 14:36:47 2010, MJEVANS wrote: Show quoted text
> On Thu Oct 21 14:34:46 2010, trs@bestpractical.com wrote:
> > On 21 Oct 2010 14:13, Martin J Evans via RT wrote:
> > > I think if DBD::ODBC should include a recent ppport.h which would fix > > > this. I thought about this before but there was little feedback on my > > > suggestion in dbi-dev list.
> > > > That sounds reasonable. > >
> > > Do you still have a non-working system which you could try an amended > > > DBD::ODBC out on (which includes its own ppport.h)?
> > > > No. It was on a client system that I wouldn't feel comfortable updating > > the DBI on unless absolutely necessary. You should be able to replicate > > with an old DBI and new DBD::ODBC. > > > > Thomas
> > Thanks for bringing this to my attention. > > Martin
Well it turns out I cannot fix this right now other than reversing the my_snprintf change because of the way DBI includes ppport.h as dbipport.h and includes as #include "dbipport.h" instead of the more useful #include <dbipport.h> which would allow me to override it :-( I have a commit bit on DBI and have solicited comments on changing DBI which have been favorable so far so I might just fix the overriding issue in DBI and let this run. It only affects people who CANNOT upgrade DBI at present and in the future it will not matter since I will include ppport.h with DBD::ODBC. Martin -- Martin J. Evans Wetherby, UK
Subject: Re: [rt.cpan.org #62346] Requires at least perl 5.8.9 but doesn't do so in Makefile.PL or the code
Date: Fri, 22 Oct 2010 15:09:18 -0400
To: bug-DBD-ODBC [...] rt.cpan.org
From: Thomas Sibley <trs [...] bestpractical.com>
Download (untitled) / with headers
text/plain 424b
On 22 Oct 2010 15:07, Martin J Evans via RT wrote: Show quoted text
> I have a commit bit on DBI and have solicited comments on changing DBI > which have been favorable so far so I might just fix the overriding > issue in DBI and let this run. It only affects people who CANNOT upgrade > DBI at present and in the future it will not matter since I will include > ppport.h with DBD::ODBC.
Sounds good. Thanks for looking into this! Thomas


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.